<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Light API</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d73/group___light.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">Light API<div class="ingroups"><a class="el" href="../../d3/d1e/group___world.html">World</a> &raquo; <a class="el" href="../../d4/d14/group___world_common.html">World</a> &raquo; <a class="el" href="../../dd/dd2/group___camera.html">Camera</a></div></div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:de/d65/group___world_trace"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d65/group___world_trace.html">Trace&amp;Visibility API</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="typedef-members" name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga4e60b25c6ebf5fbcb8a187210a77a5f9"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a></td></tr>
<tr class="memdesc:ga4e60b25c6ebf5fbcb8a187210a77a5f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Light handle.  <a href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">More...</a><br /></td></tr>
<tr class="separator:ga4e60b25c6ebf5fbcb8a187210a77a5f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:gadc3ec8293e6a97ebe43f0196b9a7f638"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#gadc3ec8293e6a97ebe43f0196b9a7f638">LightType</a> { <a class="el" href="../../da/d73/group___light.html#ggadc3ec8293e6a97ebe43f0196b9a7f638a15108ccafa3232b9067f889b6156f565">POINT</a>
, <a class="el" href="../../da/d73/group___light.html#ggadc3ec8293e6a97ebe43f0196b9a7f638a072651f3f47e0c7f8d4ce21719f0a57c">SPOT</a>
, <a class="el" href="../../da/d73/group___light.html#ggadc3ec8293e6a97ebe43f0196b9a7f638ac1fbb1e261b4d7aab1e57e564a486fb0">DIRECTIONAL</a>
, <a class="el" href="../../da/d73/group___light.html#ggadc3ec8293e6a97ebe43f0196b9a7f638a01eaec024a78f1d2e73b59e5d281251e">AMBIENT</a>
 }</td></tr>
<tr class="separator:gadc3ec8293e6a97ebe43f0196b9a7f638"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gace01d340b1da85787dd2732051859928"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#gace01d340b1da85787dd2732051859928">LightFlags</a> { <a class="el" href="../../da/d73/group___light.html#ggace01d340b1da85787dd2732051859928aaac65e0072e6ff1f4c3209d2fdd8730a">DYNAMIC</a>
, <a class="el" href="../../da/d73/group___light.html#ggace01d340b1da85787dd2732051859928aaad233af6cd05e2cdc79ecb71f2f9051">CASTSHADOW</a>
, <a class="el" href="../../da/d73/group___light.html#ggace01d340b1da85787dd2732051859928adeee0554b2ec74cbea99ec48afc9988a">CHEAP</a>
 }</td></tr>
<tr class="separator:gace01d340b1da85787dd2732051859928"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gad454bd187311ad81b369e99ae89575c5"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#gad454bd187311ad81b369e99ae89575c5">AddLight</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <a class="el" href="../../da/d73/group___light.html#gadc3ec8293e6a97ebe43f0196b9a7f638">LightType</a> type, <a class="el" href="../../da/d73/group___light.html#gace01d340b1da85787dd2732051859928">LightFlags</a> flags, <a class="el" href="../../d4/dc3/classfloat.html">float</a> radius, <a class="el" href="../../d7/dfc/classvector.html">vector</a> color)</td></tr>
<tr class="separator:gad454bd187311ad81b369e99ae89575c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga29cf42e0916651368c737d60d320c375"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#ga29cf42e0916651368c737d60d320c375">RemoveLight</a> (<a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a> light)</td></tr>
<tr class="memdesc:ga29cf42e0916651368c737d60d320c375"><td class="mdescLeft">&#160;</td><td class="mdescRight">removes light  <a href="../../da/d73/group___light.html#ga29cf42e0916651368c737d60d320c375">More...</a><br /></td></tr>
<tr class="separator:ga29cf42e0916651368c737d60d320c375"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaca646bb1f90384cde9293ccd6b3685b5"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#gaca646bb1f90384cde9293ccd6b3685b5">SetLightEx</a> (<a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a> light, <a class="el" href="../../d4/dc3/classfloat.html">float</a> radius, <a class="el" href="../../d7/dfc/classvector.html">vector</a> color)</td></tr>
<tr class="separator:gaca646bb1f90384cde9293ccd6b3685b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8e6fa559f2598ad39d5200dae753f67f"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#ga8e6fa559f2598ad39d5200dae753f67f">SetLightTexture</a> (<a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a> light, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> cubemap)</td></tr>
<tr class="memdesc:ga8e6fa559f2598ad39d5200dae753f67f"><td class="mdescLeft">&#160;</td><td class="mdescRight">sets lookup texture for projection lights  <a href="../../da/d73/group___light.html#ga8e6fa559f2598ad39d5200dae753f67f">More...</a><br /></td></tr>
<tr class="separator:ga8e6fa559f2598ad39d5200dae753f67f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga61c7d93cd9abcf6da76215fc02d5a666"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#ga61c7d93cd9abcf6da76215fc02d5a666">SetLightFlags</a> (<a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a> light, <a class="el" href="../../da/d73/group___light.html#gace01d340b1da85787dd2732051859928">LightFlags</a> flags)</td></tr>
<tr class="separator:ga61c7d93cd9abcf6da76215fc02d5a666"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0b25d2a326ea4a3043f564446ca8c83e"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#ga0b25d2a326ea4a3043f564446ca8c83e">ClearLightFlags</a> (<a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a> light, <a class="el" href="../../da/d73/group___light.html#gace01d340b1da85787dd2732051859928">LightFlags</a> flags)</td></tr>
<tr class="separator:ga0b25d2a326ea4a3043f564446ca8c83e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga68f54f84b345b1020a7276b4dab25022"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#ga68f54f84b345b1020a7276b4dab25022">SetLightCone</a> (<a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a> light, <a class="el" href="../../d4/dc3/classfloat.html">float</a> cone)</td></tr>
<tr class="memdesc:ga68f54f84b345b1020a7276b4dab25022"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets light cone in degrees (for LightType.SPOT).  <a href="../../da/d73/group___light.html#ga68f54f84b345b1020a7276b4dab25022">More...</a><br /></td></tr>
<tr class="separator:ga68f54f84b345b1020a7276b4dab25022"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac47d2faf820692944d3a59e7e5170c92"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/group___light.html#gac47d2faf820692944d3a59e7e5170c92">GetSceneHDRMul</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> camera)</td></tr>
<tr class="separator:gac47d2faf820692944d3a59e7e5170c92"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="ga4e60b25c6ebf5fbcb8a187210a77a5f9" name="ga4e60b25c6ebf5fbcb8a187210a77a5f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4e60b25c6ebf5fbcb8a187210a77a5f9">&#9670;&#160;</a></span>HLIGHT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> [] <a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Light handle. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d09/_en_world_8c_source.html#l00119">119</a> of file <a class="el" href="../../dd/d09/_en_world_8c_source.html">EnWorld.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="gace01d340b1da85787dd2732051859928" name="gace01d340b1da85787dd2732051859928"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gace01d340b1da85787dd2732051859928">&#9670;&#160;</a></span>LightFlags</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../da/d73/group___light.html#gace01d340b1da85787dd2732051859928">LightFlags</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="ggace01d340b1da85787dd2732051859928aaac65e0072e6ff1f4c3209d2fdd8730a" name="ggace01d340b1da85787dd2732051859928aaac65e0072e6ff1f4c3209d2fdd8730a"></a>DYNAMIC&#160;</td><td class="fielddoc"><p >Dynamic light. There is limit 512 dynamic lights per world and 32 per camera view. They are faster when moving and changing shape. Also they are always attached to owner entity </p>
</td></tr>
<tr><td class="fieldname"><a id="ggace01d340b1da85787dd2732051859928aaad233af6cd05e2cdc79ecb71f2f9051" name="ggace01d340b1da85787dd2732051859928aaad233af6cd05e2cdc79ecb71f2f9051"></a>CASTSHADOW&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggace01d340b1da85787dd2732051859928adeee0554b2ec74cbea99ec48afc9988a" name="ggace01d340b1da85787dd2732051859928adeee0554b2ec74cbea99ec48afc9988a"></a>CHEAP&#160;</td><td class="fielddoc"><p >for cheaper dynamic lights, like muzzle flashes (might use cheaper rendering method) </p>
</td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../dd/d09/_en_world_8c_source.html#l00129">129</a> of file <a class="el" href="../../dd/d09/_en_world_8c_source.html">EnWorld.c</a>.</p>

</div>
</div>
<a id="gadc3ec8293e6a97ebe43f0196b9a7f638" name="gadc3ec8293e6a97ebe43f0196b9a7f638"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gadc3ec8293e6a97ebe43f0196b9a7f638">&#9670;&#160;</a></span>LightType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../da/d73/group___light.html#gadc3ec8293e6a97ebe43f0196b9a7f638">LightType</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="ggadc3ec8293e6a97ebe43f0196b9a7f638a15108ccafa3232b9067f889b6156f565" name="ggadc3ec8293e6a97ebe43f0196b9a7f638a15108ccafa3232b9067f889b6156f565"></a>POINT&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggadc3ec8293e6a97ebe43f0196b9a7f638a072651f3f47e0c7f8d4ce21719f0a57c" name="ggadc3ec8293e6a97ebe43f0196b9a7f638a072651f3f47e0c7f8d4ce21719f0a57c"></a>SPOT&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggadc3ec8293e6a97ebe43f0196b9a7f638ac1fbb1e261b4d7aab1e57e564a486fb0" name="ggadc3ec8293e6a97ebe43f0196b9a7f638ac1fbb1e261b4d7aab1e57e564a486fb0"></a>DIRECTIONAL&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ggadc3ec8293e6a97ebe43f0196b9a7f638a01eaec024a78f1d2e73b59e5d281251e" name="ggadc3ec8293e6a97ebe43f0196b9a7f638a01eaec024a78f1d2e73b59e5d281251e"></a>AMBIENT&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../dd/d09/_en_world_8c_source.html#l00121">121</a> of file <a class="el" href="../../dd/d09/_en_world_8c_source.html">EnWorld.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="gad454bd187311ad81b369e99ae89575c5" name="gad454bd187311ad81b369e99ae89575c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad454bd187311ad81b369e99ae89575c5">&#9670;&#160;</a></span>AddLight()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto <a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a> AddLight </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>owner</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d73/group___light.html#gadc3ec8293e6a97ebe43f0196b9a7f638">LightType</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d73/group___light.html#gace01d340b1da85787dd2732051859928">LightFlags</a>&#160;</td>
          <td class="paramname"><em>flags</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>radius</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>color</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >creates light </p>

</div>
</div>
<a id="ga0b25d2a326ea4a3043f564446ca8c83e" name="ga0b25d2a326ea4a3043f564446ca8c83e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0b25d2a326ea4a3043f564446ca8c83e">&#9670;&#160;</a></span>ClearLightFlags()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ClearLightFlags </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a>&#160;</td>
          <td class="paramname"><em>light</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d73/group___light.html#gace01d340b1da85787dd2732051859928">LightFlags</a>&#160;</td>
          <td class="paramname"><em>flags</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="gac47d2faf820692944d3a59e7e5170c92" name="gac47d2faf820692944d3a59e7e5170c92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac47d2faf820692944d3a59e7e5170c92">&#9670;&#160;</a></span>GetSceneHDRMul()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> GetSceneHDRMul </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>camera</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >scene multiplicator of light (based on measured scene light levels) - preexposure of light </p>

</div>
</div>
<a id="ga29cf42e0916651368c737d60d320c375" name="ga29cf42e0916651368c737d60d320c375"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga29cf42e0916651368c737d60d320c375">&#9670;&#160;</a></span>RemoveLight()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> RemoveLight </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a>&#160;</td>
          <td class="paramname"><em>light</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>removes light </p>

</div>
</div>
<a id="ga68f54f84b345b1020a7276b4dab25022" name="ga68f54f84b345b1020a7276b4dab25022"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga68f54f84b345b1020a7276b4dab25022">&#9670;&#160;</a></span>SetLightCone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> SetLightCone </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a>&#160;</td>
          <td class="paramname"><em>light</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>cone</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets light cone in degrees (for LightType.SPOT). </p>

</div>
</div>
<a id="gaca646bb1f90384cde9293ccd6b3685b5" name="gaca646bb1f90384cde9293ccd6b3685b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaca646bb1f90384cde9293ccd6b3685b5">&#9670;&#160;</a></span>SetLightEx()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> SetLightEx </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a>&#160;</td>
          <td class="paramname"><em>light</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>radius</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>color</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ga61c7d93cd9abcf6da76215fc02d5a666" name="ga61c7d93cd9abcf6da76215fc02d5a666"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga61c7d93cd9abcf6da76215fc02d5a666">&#9670;&#160;</a></span>SetLightFlags()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> SetLightFlags </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a>&#160;</td>
          <td class="paramname"><em>light</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d73/group___light.html#gace01d340b1da85787dd2732051859928">LightFlags</a>&#160;</td>
          <td class="paramname"><em>flags</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ga8e6fa559f2598ad39d5200dae753f67f" name="ga8e6fa559f2598ad39d5200dae753f67f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8e6fa559f2598ad39d5200dae753f67f">&#9670;&#160;</a></span>SetLightTexture()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> SetLightTexture </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d73/group___light.html#ga4e60b25c6ebf5fbcb8a187210a77a5f9">HLIGHT</a>&#160;</td>
          <td class="paramname"><em>light</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>cubemap</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>sets lookup texture for projection lights </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
